%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		xfce4util

%define api		1.0
%define major		7
%define libname		%mklibname %{oname} %{major}
%define girname		%mklibname xfce4util-gir %{api}
%define develname	%mklibname %{oname} -d

Summary:	Utility library for the Xfce desktop environment
Name:		libxfce4util
Version:	4.16.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	vala-devel
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
Basic utility non-GUI functions for Xfce desktop environment.

%package i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization

%description i18n
This package contains the localizations for %{name}.

%package -n %{libname}
Summary:	Utility library for the Xfce desktop environment
Group:		Graphical desktop/Xfce
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Utility library for the Xfce desktop environment.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Libraries and header files for the %{name} library.

%package -n xfce-kiosk
Summary:	Kiosk support for the Xfce desktop environment
Group:		Graphical desktop/Xfce

%description -n xfce-kiosk
Kiosk support for the Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure \
	--disable-static \
	--enable-introspection
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%doc AUTHORS ChangeLog TODO README.md
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Libxfce4util-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib%{oname}.so
%{_libdir}/pkgconfig/lib%{oname}-%{api}.pc
%{_includedir}/xfce4/
%{_datadir}/gir-1.0/Libxfce4util-%{api}.gir
%{_datadir}/vala/vapi/libxfce4util-%{api}.vapi

%files -n xfce-kiosk
%doc README.Kiosk
%{_sbindir}/xfce4-kiosk-query


%changelog
* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663173
- new version 4.16.0

* Mon Dec 14 2020 wally <wally> 4.15.6-1.mga8
+ Revision: 1657363
- new version 4.15.6

* Sat Nov 21 2020 wally <wally> 4.15.5-1.mga8
+ Revision: 1648252
- new version 4.15.5

* Wed Nov 04 2020 wally <wally> 4.15.4-1.mga8
+ Revision: 1642660
- new version 4.15.4

* Tue Sep 01 2020 wally <wally> 4.15.3-1.mga8
+ Revision: 1620646
- new version 4.15.3

* Fri Jul 17 2020 wally <wally> 4.15.2-1.mga8
+ Revision: 1606678
- new version 4.15.2

* Mon Jun 22 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1598488
- new version 4.15.1

* Sat Jun 20 2020 wally <wally> 4.15.0-2.mga8
+ Revision: 1597870
- enable vala support

* Fri Jun 19 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1597339
- new version 4.15.0

* Sat Feb 15 2020 umeabot <umeabot> 4.14.0-2.mga8
+ Revision: 1528153
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Aug 11 2019 wally <wally> 4.14.0-1.mga8
+ Revision: 1428783
- new version 4.14.0

* Wed Jul 31 2019 wally <wally> 4.13.5-1.mga8
+ Revision: 1426410
- new version 4.13.5

* Mon Jul 01 2019 wally <wally> 4.13.4-1.mga8
+ Revision: 1417242
- new version 4.13.4

* Mon May 20 2019 wally <wally> 4.13.3-2.mga7
+ Revision: 1398549
- update Xfce version to 4.14pre1

* Sat May 18 2019 wally <wally> 4.13.3-1.mga7
+ Revision: 1398245
- new version 4.13.3

* Mon Apr 15 2019 wally <wally> 4.13.2-3.mga7
+ Revision: 1390804
- add patch to show 4.13 as Xfce version in tools (mga#24669)

* Sun Sep 23 2018 umeabot <umeabot> 4.13.2-2.mga7
+ Revision: 1299246
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 wally <wally> 4.13.2-1.mga7
+ Revision: 1237397
- new version 4.13.2

* Thu Sep 28 2017 wally <wally> 4.13.1-1.mga7
+ Revision: 1161118
- new version 4.13.1
- enable introspection support

* Tue Feb 09 2016 umeabot <umeabot> 4.12.1-2.mga6
+ Revision: 952428
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 4.12.1-1.mga5
+ Revision: 817388
- new version 4.12.1
- new major 7

* Wed Oct 15 2014 umeabot <umeabot> 4.11.0-3.mga5
+ Revision: 741398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.11.0-2.mga5
+ Revision: 681878
- Mageia 5 Mass Rebuild

* Sun Feb 23 2014 wally <wally> 4.11.0-1.mga5
+ Revision: 595880
- new version 4.11.0

* Sat Oct 19 2013 umeabot <umeabot> 4.10.1-2.mga4
+ Revision: 523550
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 4.10.1-1.mga4
+ Revision: 425059
- new version 4.10.1

* Sat Jan 12 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 358570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 265550
- adapt conflicts to fit pkgs in mga2

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248378
- new version 4.10.0
- new major 6
- clean .spec

* Mon May 28 2012 wally <wally> 4.8.2-2.mga3
+ Revision: 248372
- create i18n subpackage

* Sat Sep 24 2011 wally <wally> 4.8.2-1.mga2
+ Revision: 147314
- new version 4.8.2

* Wed Sep 14 2011 fwang <fwang> 4.8.1-3.mga2
+ Revision: 143370
- drop .la files

* Thu Jan 27 2011 ahmad <ahmad> 4.8.1-2.mga1
+ Revision: 41577
- drop old/unneeded scriptles
- imported package libxfce4util


* Tue Jan 18 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.1-1mdv2011.0
+ Revision: 631568
- update to new version 4.8.1
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 629086
- update to new version 4.7.5

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 609272
- update to new version 4.7.4

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 593793
- update to new version 4.7.3

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 579266
- update to new version 4.7.2
- handle new url for SOurce0

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 551020
- update to new version 4.6.2

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 543214
- rebuild for mdv 2010.1

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368569
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349159
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345519
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333846
- update to new version 4.5.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329495
- New upstream release

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303460
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Tue Nov 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-2mdv2009.1
+ Revision: 302180
- rebuild

* Wed Oct 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294012
- versioned requires
- Xfce4.6 beta1 is landing on cooker

* Thu Sep 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-10mdv2009.0
+ Revision: 285642
- drop patch 1, not needed anymore

* Sun Sep 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-9mdv2009.0
+ Revision: 284702
- Patch1: new version (from xfce upstream bug #4365)

* Mon Sep 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-8mdv2009.0
+ Revision: 282567
- Patch1: add support for XDG user dirs
- raise glib2-devel minimal version to 2.14.0

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 4.4.2-7mdv2009.0
+ Revision: 268060
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-6mdv2009.0
+ Revision: 205575
- change sysconfdir from /etc/X11/xdg to /etc/xdg only for Mandriva releases newer than 2008.1

* Sun May 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-5mdv2009.0
+ Revision: 201026
- Patch0: add /etc/X11/xdg to config dirs

* Sun Jan 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-4mdv2008.1
+ Revision: 158499
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-3mdv2008.1
+ Revision: 110710
- remove buildrequires on gtk-doc
- update summary and description
- do not package COPYING
- move gtk docs to the devel package

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-2mdv2008.1
+ Revision: 109940
- requires now xfce4-dev-tools

* Sun Nov 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.2-1mdv2008.1
+ Revision: 109928
- Xfce 4.4.2 is landing on Mandriva repositories ;)
- add missing requires for kiosk

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 44110
- move translation files to the main library
- enable kiosk support
- new devel library policy
- correct provides/obsoletes

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 32205
- drop __libtoolize and __cputoolize
- spec file clean

* Tue Apr 17 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2007.1
+ Revision: 13607
- new release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112306
- New release 4.4.0

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 91664
- update to 4.3.99.2

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.90.2-1mdv2007.1
+ Revision: 91637
- Import libxfce4util

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2006.0
- 4.3.90.2 (Xfce-4.4 beta2)
- bump major
- add lang

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.or> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Mon Mar 06 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- devel package requires xfce-dev-tools for now

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- new major
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3.2-1mdk
- 4.2.3.2

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- remove %%{_sbindir}/xfce4-kiosk-query for now
- add (build)requires for gtk-doc
- sysconfdir=%%_sysconfdir/X11

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

